ipptool(1)

NAME
ipptool - perform internet printing protocol requests

SYNOPSIS
ipptool [ -4 ] [ -6 ] [ -C ] [ -E ] [ -I ] [ -L ] [ -S ] [ -T seconds ] [ -V version ] [ -X ] [ -c ] [ -d name=value ] [ -f filename ] [ -i seconds ] [ -n repeat-count ] [ -q ] [ -t ] [ -v ] URI filename [ ... filenameN ]

DESCRIPTION
ipptool sends IPP requests to the specified URI and tests and/or displays the results. Each named file defines one or more requests, including the expected response status, attributes, and values. Output is either a plain text, formatted text, CSV, or XML report on the standard output, with a non-zero exit status indicating that one or more tests have failed. The file format is described in ipptoolfile(5).

OPTIONS
The following options are recognized by ipptool:

-4  Specifies that ipptool must connect to the printer or server using IPv4.

-6  Specifies that ipptool must connect to the printer or server using IPv6.

-C  Specifies that requests should be sent using the HTTP/1.1 "Transfer-Encoding: chunked" header, which is required for conformance by all versions of IPP. The default is to use "Transfer-Encoding: chunked" for requests with attached files and "Content-Length:" for requests without attached files.

-E  Forces TLS encryption when connecting to the server using the HTTP "Upgrade" header.

-I  Specifies that ipptool will continue past errors.

-L  Specifies that requests should be sent using the HTTP/1.0 "Content-Length:" header, which is required for conformance by all versions of IPP. The default is to use "Transfer-Encoding: chunked" for requests with attached files and "Content-Length:" for requests without attached files.

-S  Forces (dedicated) SSL encryption when connecting to the server.

-T seconds
    Specifies a timeout for IPP requests in seconds.

-V version
    Specifies the default IPP version to use: 1.0, 1.1, 2.0, 2.1, or 2.2. If not specified, version 1.1 is used.

-X  Specifies that XML (Apple plist) output is desired instead of the plain text report. This option is incompatible with the -i (interval) and -n (repeat-count) options.

-c  Specifies that CSV (comma-separated values) output is desired instead of the plain text output.

-d name=value
    Defines the named variable.

-f filename
    Defines the default request filename for tests.

-i seconds
    Specifies that the (last) file should be repeated at the specified interval. This option is incompatible with the -X (XML plist output) option.

-l  Specifies that plain text output is desired.

-n repeat-count
    Specifies that the (last) file should be repeated the specified number of times. This option is incompatible with the -X (XML plist output) option.

-t  Specifies that CUPS test report output is desired instead of the plain text output.

-v  Specifies that all request and response attributes should be output in CUPS test mode (-t). This is the default for XML output.

COMPATIBILITY
The ipptool program is unique to CUPS.

EXAMPLES
Get a list of completed jobs for "myprinter":
    ipptool ipp://localhost/printers/myprinter get-completed-jobs.test

Send email notifications to "user@example.com" when "myprinter" changes:
    ipptool -d recipient=mailto:user@example.com         ipp://localhost/printers/myprinter create-printer-subscription.test

STANDARD FILES
The following standard files are available:
    create-printer-subscription.test
    get-completed-jobs.test
    get-jobs.test
    ipp-1.1.test
    ipp-2.0.test
    ipp-2.1.test
    testfile.jpg
    testfile.pdf
    testfile.ps
    testfile.txt

SEE ALSO
ipptoolfile(5),
http://localhost:631/help

COPYRIGHT
Copyright 2007-2010 by Apple Inc.